<?php

namespace Tablesome\Includes\Lib\Table_Crud_WP;

if (!defined('ABSPATH')) {
    exit;
} // Exit if accessed directly

if (!class_exists('\Tablesome\Includes\Lib\Table_Crud_WP\Helper')) {
    class Helper
    {
        /**
         * Use of this method, Getting the table columns from the table meta-data
         *
         * @param [array] $meta_data
         * @return array
         */
        public function get_table_columns($meta_data)
        {
            $columns = array();
            if (!isset($meta_data['columns'])) {
                return $columns;
            }

            foreach ($meta_data['columns'] as $column) {
                $id = $column['id'];
                $columns[$id] = 'column_' . $id;
            }
            return $columns;
        }

        public function get_column_ided_record($meta_data, $record)
        {
            $columns = isset($meta_data['columns']) ? $meta_data['columns'] : [];
            $column_values = array();

            $content = isset($record['content']) ? $record['content'] : [];

            if (empty($content)) {return $column_values;}

            foreach ($record['content'] as $cell_index => $cell_data) {

                $cell_value = "";
                if (!is_array($cell_data)) {
                    $cell_value = $cell_data;
                }

                if (isset($cell_data['value'])) {
                    $cell_value = $cell_data['value'];
                }

                /** Get columnId from table meta-column by using the cell index*/
                $column_id = isset($columns[$cell_index]['id']) ? $columns[$cell_index]['id'] : $cell_index;

                $db_column_name = 'column_' . $column_id;

                $column_values[$db_column_name] = !empty($cell_value) ? addslashes($cell_value) : '';
            }
            return $column_values;
        }
    }
}