<?php

namespace Tablesome\Includes;

if (!defined('ABSPATH')) {
    exit;
} // Exit if accessed directly

if (!class_exists('\Tablesome\Includes\Translations')) {
    class Translations
    {
        public function get_strings()
        {
            return array_merge($this->get_site_strings(), $this->get_dashboard_strings());
        }

        public function get_site_strings()
        {
            $strings = array(
                'first' => __("First", "tablesome"),
                'previous' => __("Previous", "tablesome"),
                'next' => __('Next', 'tablesome'),
                'last' => __('Last', 'tablesome'),
                'sort_ascending' => __('Sort Ascending', 'tablesome'),
                'sort_descending' => __('Sort Descending', 'tablesome'),
                'insert_left' => __('Insert left', 'tablesome'),
                'insert_right' => __('Insert Right', 'tablesome'),
                'duplicate' => __('Duplicate', 'tablesome'),
                'delete' => __('Delete', 'tablesome'),

                'search_placeholder' => __('Type to Search ...', 'tablesome'),
                'filter' => __('FILTER', 'tablesome'),
                'add_a_filter' => __('Add a Filter', 'tablesome'),
                'filter_placeholder' => __('Type to filter ...', 'tablesome'),
                'column_placeholder' => __('Column name...', 'tablesome'),

                'format_type' => __("Format Type", 'tablesome'),
                'basic' => __('Basic', 'tablesome'),
                'import_table' => __('Import Table', 'tablesome'),
                'add_new_table' => __('Add New', 'tablesome'),
                'delete' => __('Delete', 'tablesome'),
                'enter_table_id_alert' => __('Please enter the tablesome table id', 'tablesome'),

                'loading' => __('Loading...', 'tablesome'),

            );
            return $strings;
        }

        public function get_dashboard_strings()
        {
            return [];
        }
    }
}
